Available in Classic and VPC
Add a response header to a customized method. The response status code must be added before you can save the header.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| POST | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code}/parameters |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID that the API belongs to
|
api-id |
String | Required | ID of the API whose response header you want to add
|
resource-id |
String | Required | ID of the target resource in the API
|
method-name |
String | Required | Target method type
|
status-code |
Integer | Required | Response status code |
Request syntax
The request syntax is as follows.
{
"parameterType" : "string",
"isArray" : true,
"parameterName" : "parameterName",
"parameterDescription" : "parameterDescription"
}
Request body
The following describes the request body.
| Field | Type | Required | Description |
|---|---|---|---|
parameterType |
String | Optional | Parameter type
|
isArray |
Boolean | Optional | Whether it is an array type
|
parameterName |
String | Required | Name of the header to save
|
parameterDescription |
String | Optional | Parameter description
|
Request example
The following is a sample request.
curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/200/parameters' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"parameterType" : "integer",
"isArray" : false,
"parameterName" : "Duration",
"parameterDescription" : "Time"
}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"methodParameterDto" : {
"resourceId" : "resourceId",
"methodCode" : "methodCode",
"tenantId" : "tenantId",
"parameterCode" : "REQUEST_HEADER",
"parameterType" : "string",
"apiId" : "apiId",
"parameterName" : "parameterName",
"statusCode" : 6,
"parameterDescription" : "parameterDescription",
"isArray" : true
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"methodParameterDto": {
"resourceId": "tf73xuex0v",
"methodCode": "0001",
"tenantId": "********65ec41039ce6668c2058b8a9",
"parameterCode": "RESPONSE_HEADER",
"parameterType": "integer",
"apiId": "cvcohvd2xj",
"parameterName": "Duration",
"statusCode": 200,
"parameterDescription": "Time",
"isArray": false
}
}